Show / Hide Table of Contents

# Enum TensorElementType

Supported Tensor DataType

###### Namespace: Microsoft.ML.OnnxRuntime.Tensors

###### Assembly: cs.temp.dll.dll

##### Syntax

    public enum TensorElementType

### Fields

Name | Description
--- | ---
BFloat16 |
Bool |
Complex128 |
Complex64 |
DataTypeMax |
Double |
Float |
Float16 |
Int16 |
Int32 |
Int64 |
Int8 |
String |
UInt16 |
UInt32 |
UInt64 |
UInt8 |